import numpy as np
from sklearn import linear_model

# De entrada tenemos el conjunto de puntos
# P = { (xi, yi) }
P = np.array( [ [1, 1], [2,2], [3,3], [4,4], [5,5] ] )
print( P.shape )

# Modelo:
#   y = a1 x + a0

X = P[ :,0 ]
X = X.reshape( -1, 1 )
print( "X:", X.shape )
y = P[ :,1 ]
print( "y:", y.shape )

# La regresión lineal
reg = linear_model.LinearRegression( )
reg.fit( X, y ) 

print( reg.coef_ )
print( reg.intercept_ )

r2 = reg.score( X, y ) 
print( "R2:", r2 )

